<CodesysPLC Name="PLC2" Description="PLC2 declaration"  xmlns="http://www.parametershandling.unicos.cern.ch.research">
	<PLCName Value="CFP_PLC1" Description="PLC name (unique within the same unicos application)" DefaultValue="PLC2"/>
	<PLCType Value="" Description="PLC Type"/>
	<ParameterList Name="GeneralParameters" Description="General parameters" isExpertField="false">
		<StringParameter Name="PLCEnvironment" Description="PLC Environment" Value="SoMachine" DefaultValue=""/>
	</ParameterList>
	<ParameterList Name="M258Parameters" Description="Specific parameters for Schneider M258 PLC" isExpertField="false">
		<ParameterList Name="AddressesCalculation" Description="">
			<PositiveIntegerParameter Name="RequestBaseAddress" Value="7000" Description="The base address for the requests." DefaultValue="7000"/>
		</ParameterList>
		<ParameterList Name="RecipeParameters" Description="Recipe parameters">
			<PositiveIntegerParameter Name="BufferAddress" Value="10000" Description="Starting address of the recipe buffers (ManRegAddr, ManRegVal, ReqAddr, ReqVal)." DefaultValue="10000"/>
		</ParameterList>
	</ParameterList>
	<ParameterList isExpertField="false" Description="Specific parameters for EPC PLC" Name="EPCParameters">
        <ParameterList Description="" Name="AddressesCalculation">
            <PositiveIntegerParameter DefaultValue="7000" Description="The base address for the requests." Value="7000" Name="RequestBaseAddress"/>
        </ParameterList>
        <ParameterList Description="Recipe parameters" Name="RecipeParameters">
            <PositiveIntegerParameter DefaultValue="10000" Description="Starting address of the recipe buffers (ManRegAddr, ManRegVal, ReqAddr, ReqVal)." Value="10000" Name="BufferAddress"/>
        </ParameterList>
    </ParameterList>
    <ParameterList isExpertField="false" Description="Specific parameters for IPC PLC" Name="IPCParameters">
		<ParameterList Description="" Name="AddressesCalculation">
			<PositiveIntegerParameter DefaultValue="7000" Description="The base address for the requests." Value="7000" Name="RequestBaseAddress"/>
        </ParameterList>
        <ParameterList Description="Recipe parameters" Name="RecipeParameters">
			<PositiveIntegerParameter DefaultValue="10000" Description="Starting address of the recipe buffers (ManRegAddr, ManRegVal, ReqAddr, ReqVal)." Value="10000" Name="BufferAddress"/>
        </ParameterList>
    </ParameterList>
	<ParameterList Name="SchneiderSpecificParameters" Description="Specific parameters for Schneider PLCs" isExpertField="false">
		<ParameterList Name="TypeMemorySize" Description="">
			<PositiveIntegerParameter Name="EBOOL" Value="1" Description="" DefaultValue="1"/>
			<PositiveIntegerParameter Name="WORD" Value="1" Description="" DefaultValue="1"/>
			<PositiveIntegerParameter Name="REAL" Value="2" Description="" DefaultValue="2"/>
		</ParameterList>
		<ParameterList Name="AddressesCalculation" Description="">
			<PositiveIntegerParameter Name="SpareMemoryBlocks" Value="0" Description="The spare blocks between status and request tables." DefaultValue="0"/>
			<PositiveIntegerParameter Name="TransmitBufferAddress" Value="1000" Description="The base address for the PLC transmission buffer." DefaultValue="1000"/>
		</ParameterList>
		<ParameterList Name="EthernetParameters" Description="" isExpertField="false">
			<IPAddress Name="IpAddressPlc" Value="1.1.1.1" Description="IP Address PLC"/>
			<IPAddress Name="IpAddressDs1" Value="1.1.1.2" Description="IP Address DS1"/>
			<IPAddress Name="IpAddressDs2" Value="1.1.1.3" Description="IP Address DS2"/>
			<IPAddress Name="Gateway" Value="1.1.1.4" Description="Gateway Address"/>
			<IPAddress Name="NetworkMask" Value="255.255.0.0" Description="Network Mask"/>
			<PositiveIntegerParameter Name="EthernetCardSlot" Value="3" Description="Ethernet Card Slot" DefaultValue="3"/>
		</ParameterList>
		<ParameterList Name="ModbusParameters" Description="" isExpertField="false">
			<PositiveIntegerParameter Name="XWayNetwork" Value="1" Description="XWay Network Number" DefaultValue="1" isExpertField="false"/>
			<PositiveIntegerParameter Name="XWayStationDs1" Value="106" Description="XWay Station Number of DS1" DefaultValue="106" isExpertField="false"/>
			<PositiveIntegerParameter Name="XWayStationDs2" Value="107" Description="XWay Station Number of DS2" DefaultValue="107" isExpertField="false"/>
			<PositiveIntegerParameter Name="ModbusAddress" Value="25" Description="MODBUS Unit Address of PLC" DefaultValue="25" isExpertField="false"/>
			<PositiveIntegerParameter Name="BinaryTables" Value="2" Description="Number of binary tables to scan at each cycle (Value &lt; 20)" DefaultValue="2" isExpertField="false"/>
			<PositiveIntegerParameter Name="AnalogTables" Value="2" Description="Number of analog tables to scan at each cycle (Value &lt; 20)" DefaultValue="2" isExpertField="false"/>
			<PositiveIntegerParameter Name="NetLink" Value="3" Description="NetLink parameter for CoDeSys" DefaultValue="3"/>
		</ParameterList>
		<ParameterList Name="RecipeParameters" Description="">
			<BooleanParameter Name="GenerateBuffers" Value="true" Description="All resources (functions and databases) in both PLC and SCADA associated to the recipe tool will be created." DefaultValue="false"/>
			<PositiveIntegerParameter Name="ActivationTimeout" Value="100" Description="Recipe activation timeout (sec.)" DefaultValue="100"/>
			<PositiveIntegerParameter Name="HeaderBufferSize" Value="20" Description="Size of the header and status buffers" DefaultValue="20"/>
			<PositiveIntegerParameter Name="BufferSize" Value="1000" Description="Maximum number of data used in a recipe [1-1000]" DefaultValue="1000"/>
			<PositiveIntegerParameter Name="HeaderBufferAddress" Value="10" Description="Starting address of the recipe header buffer." DefaultValue="10"/>
			<PositiveIntegerParameter Name="StatusBufferAddress" Value="1010" Description="Starting address of the recipe status buffer." DefaultValue="1010"/>
		</ParameterList>
	</ParameterList>
</CodesysPLC>
